org.eclipse.wst.jsdt.chromium

## Interface JsObjectProperty

All Superinterfaces:
  JsVariable

    public interface JsObjectProperty
    extends JsVariable

Exposes additional data if variable is a property of object and its property descriptor is available.

### Property Summary

### Properties inherited from interface org.eclipse.wst.jsdt.chromium.JsVariable

`asObjectProperty`

### Method Summary

All Methods Instance Methods Abstract Methods
`RelayOk` `evaluateGet(JsEvaluateContext.EvaluateCallback callback, SyncCallback syncCallback)` Asynchronously evaluates property getter and returns property value.
`JsValue` `getGetter()`
`JsFunction` `getGetterAsFunction()`
`JsValue` `getSetter()`
`boolean` `isConfigurable()`
`boolean` `isEnumerable()`
`boolean` `isWritable()`

### Methods inherited from interface org.eclipse.wst.jsdt.chromium.JsVariable

`asDeclarativeVariable, asObjectProperty, getName, getValue`

### Method Detail

#### isWritable

    boolean isWritable()

Returns:
  whether property described as 'writable'

#### getGetter

    JsValue getGetter()

Returns:
  property getter value (function or undefined) or null if not an accessor property

#### getGetterAsFunction

    JsFunction getGetterAsFunction()

Returns:
  `getGetter()` result as function or null if cannot cast

#### getSetter

    JsValue getSetter()

Returns:
  property setter value (function or undefined) or null if not an accessor property

#### isConfigurable

    boolean isConfigurable()

Returns:
  whether property described as 'configurable'

#### isEnumerable

    boolean isEnumerable()

Returns:
  whether property described as 'enumerable'

#### evaluateGet

    RelayOk evaluateGet(JsEvaluateContext.EvaluateCallback callback,
                        SyncCallback syncCallback)

Asynchronously evaluates property getter and returns property value. Must only be used if `getGetterAsFunction()` returns not null; otherwise behavior is undefined and implementation-specific.